<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>JS320 Project - A Guessing Colours Puzzle</title>
        <script src="../js/utilities.js" defer></script>
        <script src="../js/gameSettings.js" defer></script>
        <script src="../js/game.js" defer></script>
        <script src="../js/scoreboard.js" defer></script>
        <link rel="stylesheet" href="../css/style.css">
        <link rel="stylesheet" href="../css/responsive.css">
        <link rel="stylesheet" href="../css/dynamic.css">
    </head>
    <body>
        <div class="wrapper">
            <header>
                <h3 class="header-footer-headings">
                    JS320 Project - A Guessing Colours Puzzle
                </h3>
                <h3 id="authors-header" class="header-footer-headings">
                    <span>Alec Morin & David Parker</span>
                </h3>
            </header>
            <main>
                <section id="options">
                    <form action="" method="post" autocomplete="off">
                        <fieldset>
                            <legend>Player</legend>
                            <div id="playerNameOptionsDiv" class="optionsWrapperDiv">
                                <input type="text" name="playerName" id="playerName" required>
                            </div>
                        </fieldset>
                        <fieldset>
                            <legend>Table Size(row x col)</legend>
                            <div id="tableSizeOptionsDiv" class="optionsWrapperDiv">
                                <input type="number" onkeydown="return false" name="tableSizeOption" id="tableSizeOption" min="3" max="5" value="3">
                            </div>
                        </fieldset>
                        <fieldset class="optionsWrapperDiv">
                            <legend>Choose Colour</legend>
                            <div id="colourOptionsInnerDiv">
                                <div class="radioButtons">
                                    <label for="redOption">Red</label>
                                    <input type="radio" name="colourGameOption" id="redOption" value="red" checked>
                                </div>
                                <div class="radioButtons">
                                    <label for="greenOption">Green</label>
                                    <input type="radio" name="colourGameOption" id="greenOption" value="green">
                                </div>
                                <div class="radioButtons">
                                    <label for="blueOption">Blue</label>
                                    <input type="radio" name="colourGameOption" id="blueOption" value="blue">
                                </div>
                            </div>
                        </fieldset>
                        <fieldset id="tableDifficultyOptionsDiv">
                            <legend>Choose difficulty</legend>
                            <div class="optionsWrapperDiv">
                                <select name="gameDifficulty" id="gameDifficulty">
                                    <option value="easy">Easy</option>
                                    <option value="medium">Medium</option>
                                    <option value="difficult">Difficult</option>
                                    <option value="brutal">Brutal</option>
                                </select>
                            </div>
                            <div id="cheatsDiv">
                                <label for="cheatOption">Cheat?</label>
                                <input type="checkbox" name="cheatOption" id="cheatOption" disabled>
                            </div>
                        </fieldset>
                    </form>
                </section>
                <section id="main-gui">
                    <section id="game-statistics">
                        <div id="top-half-statistics">
                            <div id="timer">
                                <h3>Timer</h3>
                                <p>0:00</p>
                            </div>
                            <button id="startPuzzleButton" disabled>Start Puzzle Game</button>
                            <h3>Game Stats</h3>
                            <p>Table headings can be sorted out (click)</p>
                            <div id="save-buttons">
                                <button class="stats-buttons" id="save-game-sessions">Save Game Sessions</button>
                                <button class="stats-buttons" id="load-game-sessions">Load Game Sessions</button>
                                <button class="stats-buttons" id="clear-game-sessions">Clear All</button>
                            </div>
                        </div>
                        <div id="stats-table-div">
                            <table id="statistics-table">
                                <thead>
                                    <tr>
                                        <th id="playerHeader">Player</th>
                                        <th id="durationHeader">Dur</th>
                                        <th id="clicksHeader">#clicks</th>
                                        <th id="levelHeader">Level</th>
                                        <th id="successHeader">Success</th>
                                        <th id="sizeHeader">rowXcol</th>
                                    </tr>
                                </thead>
                                <tbody>

                                </tbody>
                            </table>
                        </div>
                    </section>
                    <section id="game-interface">
                        <section id="submit-section">
                            <div id="submit-paragraph">
                                <p>Find all tiles that have the highest <span class="submitBoxColours" id="submitBoxFirstColour">red</span> channel intensity!</p>
                                <p>Click to select a tile, another click to unselect. Need to guess <span id="submitBoxNum">*</span> <span class="submitBoxColours">red</span></p>
                            </div>
                            <button id="submitScoreButton" disabled>Submit Your Guesses</button>
                        </section>
                        <section id="game-table-section">

                        </section>
                    </section>
                </section>
            </main>
            <footer>
                <h3 class="header-footer-headings">
                    Alec Morin & David Parker
                </h3>
            </footer>
        </div>
    </body>
</html>